# Monster JS Extension

Introducing our Visual Studio Code extension, which seamlessly integrates the Monster Framework and Monster Components into your 
VSCode environment. The Monster Framework is a collection of JavaScript classes and functions designed to streamline your 
development process, while Monster Components consist of typical web UI controls to enhance user interfaces. 

This extension simplifies the integration of these powerful tools, making it easier for you to create exceptional web applications. 
Check out this README for a comprehensive guide on getting started with this versatile VSCode extension.

## Features

* Tag extension: Simplify the creation and manipulation of HTML tags within your project.
* Attribute management: Easily add, modify, and remove HTML attributes to enhance your web components.
* CSS classes: Streamline the integration and customization of CSS classes for improved styling and design. 

## Requirements

To utilize this extension, ensure that you have a JavaScript project, Node.js installed, and the Monster package saved as a dependency in your project.

## Extension Settings

Include if your extension adds any VS Code settings through the `contributes.configuration` extension point.

This extension contributes the following settings:

* `monster-js.enable`: Enable/disable this extension.

## Known Issues

Please note that this extension is currently in development, and we are actively working on improving its functionality and addressing any issues that may arise.

## Release Notes

See [CHANGELOG](https://marketplace.visualstudio.com/items/Monster.monster-js/changelog)


## For more information

* [Repository](https://gitlab.schukai.com/oss/libraries/javascript/vs-code-extension)
* [Monster Website](http://monsterjs.org)
* [schukai GmbH](https://www.schukai.com/)

**Enjoy!**
