import * as vscode from 'vscode';

// see https://code.visualstudio.com/api/extension-guides/webview

export function activate(context) {

  let disposable = vscode.commands.registerCommand('monster.open-doc', () => {
    // The code you place here will be executed every time your command is executed

    let documentationUrls;

    vscode.env.openExternal(vscode.Uri.parse('https://monsterjs.org/en/doc/'));

    const onDiskPath = vscode.Uri.joinPath(context.extensionUri, 'documentation');
    

    documentationUrls = panel.webview.asWebviewUri(onDiskPath);
    

    const panel = vscode.window.createWebviewPanel(
      'monsterDocumentation', // Identifies the type of the webview. Used internally
      'Monster JS Documentation', // Title of the panel displayed to the user
      vscode.ViewColumn.One,
      {
        enableScripts: true,
        localResourceRoots: [documentationUrls]
      } // Webview options. More on these later.
    );

    getWebviewContent(context).then(html => {
      panel.webview.html = html;
    }).catch(error => {
      console.log(error)
    })
    // 
    panel.onDidDispose(
      () => {
        // When the panel is closed, cancel any future updates to the webview content

      },
      null,
      context.subscriptions
    );

  });

  context.subscriptions.push(disposable);
}

export function deactivate() { }